_PurpleCertificatePool Struct Reference

Database for retrieval or storage of Certificates. More...

`#include <certificate.h>`

## Data Fields

gchar * | scheme_name
| Scheme this Pool operates for.
gchar * | name
| Internal name to refer to the pool by.
gchar * | fullname
| User-friendly name for this type ex: N_("SSL Servers") When this is displayed anywhere, it should be i18ned ex: _(pool->fullname)
gpointer | data
| Internal pool data.
gboolean(* | init )(void)
| Set up the Pool's internal state. More...
void(* | uninit )(void)
| Uninit the Pool's internal state. More...
gboolean(* | cert_in_pool )(const gchar *id)
| Check for presence of a certificate in the pool using unique ID.
PurpleCertificate *(* | get_cert )(const gchar *id)
| Retrieve a PurpleCertificate from the pool.
gboolean(* | put_cert )(const gchar *id, PurpleCertificate *crt)
| Add a certificate to the pool. More...
gboolean(* | delete_cert )(const gchar *id)
| Delete a certificate from the pool.
GList *(* | get_idlist )(void)
| Returns a list of IDs stored in the pool.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Database for retrieval or storage of Certificates.

More or less a hash table; all lookups and writes are controlled by a string key.

Definition at line 128 of file certificate.h.

## Field Documentation

gboolean(* _PurpleCertificatePool::init) (void)

Set up the Pool's internal state.

Upon calling purple_certificate_register_pool() , this function will be called. May be NULL.

Returns
  TRUE if the initialization succeeded, otherwise FALSE

Definition at line 152 of file certificate.h.

gboolean(* _PurpleCertificatePool::put_cert) (const gchar *id, PurpleCertificate *crt)

Add a certificate to the pool.

Must overwrite any other certificates sharing the same ID in the pool.

Returns
  TRUE if the operation succeeded, otherwise FALSE

Definition at line 169 of file certificate.h.

void(* _PurpleCertificatePool::uninit) (void)

Uninit the Pool's internal state.

Will be called by purple_certificate_unregister_pool() . May be NULL

Definition at line 159 of file certificate.h.

The documentation for this struct was generated from the following file:

- certificate.h